gmemusage(1)

NAME
gmemusage - graphically display memory used by running processes.

SYNOPSIS
gmemusage [ options ]

DESCRIPTION
Gmemusage is modelled after the program of the same name on Silicon Graphics' workstations. Gmemusage graphically displays the contents of memory on a running system, broken up by individual processes. The display is a stacked bar graph with the height of an area representing the RSS size of the corresponding process. In addition, the process name, number of processes with that name and the size (in kilobytes) are shown.

Processes which take up less memory than a (user-specifiable) threshhold are merged into a single area on the graph. Multiple processes with the same name are merged into a single area.

While running, gmemusage accepts the following keys:

Q or q
    Exit the program.

Up Arrow
    Increase the minimum threshhold by 10 kb.

Down Arrow
    Decrease the minimum threshhold by 10 kb.

Other keys are (not-so-silently!) ignored.

OPTIONS
Gmemusage accepts the following command-line options (defaults in brackets):

-name resourcename
    Class name to use for resources (Gmemusage)

-display display
    X server to contact ($DISPLAY environment variable)

-geometry geometry
    Initial window geometry (320x400)

-font font
    Use font font for drawing text (fixed)

-background color
    Color to use for window background (grey4)

-update seconds
    Update interval (5 seconds)

-threshhold kb
    Threshhold below which small processes are merged (400 kb)

-ncolors #colors
    How many different colors to use (3)

-color1 color
    Name of first color (red/maroon)

-color2 color
    Name of second color (green/OliveDrab)

-color3 color
    Name of third color (blue/SlateBlue)

-color[4-9] color
    Names of remaining colors (undefined)

-help
    Print a short help message.

RESOURCES
Gmemusage understands the following X resources. See the OPTIONS section for details of what they do.

    name (class Name)
    display (class Display)
    geometry (class Geometry)
    font (class Font)
    background (class Background)
    update (class Interval)
    threshhold (class Threshhold)
    ncolors (class NColors)
    color1 (class Color)
    color2 (class Color)
    color3 (class Color)
    color[4-9] (class Color)

BUGS
See the TODO file which comes with the distribution.

SEE ALSO
top(1), ps(1), xosview(1).

VERSION
Gmemusage version 0.2, 1998/01/14

AUTHOR
Raju Mathur (raju@sgi.com) aka OldMonk.

SITE
The canonical site for gmemusage is:

    http://reality.sgi.com/raju/software

COPYRIGHT
Gmemusage is copyright (C) 1997, 1998 by Raju Mathur. See the file COPYING in the source directory for copyright information.